Bug 1079387 - [PATCH] reposync use incorrect repo
Summary: [PATCH] reposync use incorrect repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 20
Hardware: Unspecified
OS: Unspecified
urgent
low
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-21 14:08 UTC by Miroslav Suchý
Modified: 2014-06-11 16:28 UTC (History)
3 users (show)

Fixed In Version: yum-utils-1.1.31-23.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-11 16:28:47 UTC


Attachments (Terms of Use)
Patch fixing this problem (784 bytes, patch)
2014-03-26 11:45 UTC, Miroslav Suchý
no flags Details | Diff

Description Miroslav Suchý 2014-03-21 14:08:43 UTC
Description of problem:
When you run reposync as unprivileg user and in /var/tmp/ is old cache of some previous run and contains repo with same repoid as I want to sync, it is used instead of those I specified

Version-Release number of selected component (if applicable):
yum-utils-1.1.31-20.fc20.noarch

How reproducible:
deterministic

Steps to Reproduce:
1. download http://miroslav.suchy.cz/fedora/debug.tar.gz
2. unpack it. It will populate /var/tmp/yum-apache-gjiosq/ 
   This contains metadata of ruby200 repository.
3. mkdir /tmp/foo /tmp/python33
4. create this repo.conf with content:
[main]
reposdir=
#cachedir=/tmp/softwarecollections-yum-cache/rhscl/python33/epel-6-x86_64
cachedir=/tmp/foo

[epel-6-x86_64]
name=epel-6-x86_64
baseurl=http://copr-be.cloud.fedoraproject.org/results/rhscl/python33/epel-6-x86_64/
gpgcheck=0

5. run:
reposync -c repo.conf -p /tmp/python33 --repoid=epel-6-x86_64 -t

Actual results:
ruby200-1.1-5.el6.x86_64.rpm   FAILED
...
ruby200-ruby-tcltk-2.0.0.353-23.el6.x86_64: [Errno 256] No more mirrors to try.                                  ]  0.0 B/s |    0 B  --:--:-- ETA 
ruby200-ruby-2.0.0.353-23.el6.x86_64: [Errno 256] No more mirrors to try.
ruby200-rubygem-rake-0.9.6-23.el6.noarch: [Errno 256] No more mirrors to try.
ruby200-ruby-libs-2.0.0.353-23.el6.x86_64: [Errno 256] No more mirrors to try.
...

Expected results:
Downloading only python33 packages.

Comment 1 Miroslav Suchý 2014-03-21 14:48:11 UTC
Note usage of non privileg user is important. This problem does not happen when reposync is run as root.

Comment 2 Miroslav Suchý 2014-03-26 11:45:54 UTC
Created attachment 878964 [details]
Patch fixing this problem

Comment 3 Tim Lauridsen 2014-03-27 07:19:37 UTC
Patch applied upstream

Comment 4 Fedora Update System 2014-05-22 14:24:28 UTC
yum-utils-1.1.31-22.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-utils-1.1.31-22.fc20

Comment 5 Fedora Update System 2014-05-24 23:25:09 UTC
Package yum-utils-1.1.31-23.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-utils-1.1.31-23.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6637/yum-utils-1.1.31-23.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-06-11 16:28:47 UTC
yum-utils-1.1.31-23.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.